summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2007-07-15 18:44:18 +0200
committerDan McGee <dan@archlinux.org>2007-07-15 18:46:02 +0200
commita1e57cbec8209b64ee40fdae5990e870c8203cd7 (patch)
tree02b07ea6756c6694b367ad24b39e2457cd44a35a /scripts
parentc2920033d078768db08c338f4908033503abfc08 (diff)
downloadpacman-a1e57cbec8209b64ee40fdae5990e870c8203cd7.tar.gz
pacman-a1e57cbec8209b64ee40fdae5990e870c8203cd7.tar.xz
Add --asdeps option to pacman
This replaces the former -D operation that was undocumented and rather hacky. It can be used with add, upgrade, or sync transactions and will affect all packages installed. Should close FS #7193. Also tell makepkg to use this new flag. Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index d340252e..002f89cc 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -327,9 +327,9 @@ handledeps() {
local ret=0
if [ "$ASROOT" = 0 ]; then
- sudo pacman $PACMAN_OPTS -S $striplist || ret=$?
+ sudo pacman $PACMAN_OPTS -S --asdeps $striplist || ret=$?
else
- pacman $PACMAN_OPTS -S $striplist || ret=$?
+ pacman $PACMAN_OPTS -S --asdeps $striplist || ret=$?
fi
if [ $ret -ne 0 ]; then